Skip to content
Start here

Get bulk operation status

client.rules.lists.bulkOperations.get(stringoperationId, BulkOperationGetParams { account_id } params, RequestOptionsoptions?): BulkOperationGetResponse
GET/accounts/{account_id}/rules/lists/bulk_operations/{operation_id}

Gets the current status of an asynchronous operation on a list.

The status property can have one of the following values: pending, running, completed, or failed. If the status is failed, the error property will contain a message describing the error.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Filter Lists EditAccount Filter Lists Read
ParametersExpand Collapse
operationId: string

The unique operation ID of the asynchronous action.

params: BulkOperationGetParams { account_id }
account_id: string

The Account ID for this resource.

maxLength32
minLength32
ReturnsExpand Collapse
BulkOperationGetResponse = ListsBulkOperationPendingOrRunning { id, status } | ListsBulkOperationCompleted { id, completed, status } | ListsBulkOperationFailed { id, completed, error, status }
One of the following:
ListsBulkOperationPendingOrRunning { id, status }
id: string

The unique operation ID of the asynchronous action.

status: "pending" | "running"

The current status of the asynchronous operation.

One of the following:
"pending"
"running"
ListsBulkOperationCompleted { id, completed, status }
id: string

The unique operation ID of the asynchronous action.

completed: string

The RFC 3339 timestamp of when the operation was completed.

status: "completed"

The current status of the asynchronous operation.

ListsBulkOperationFailed { id, completed, error, status }
id: string

The unique operation ID of the asynchronous action.

completed: string

The RFC 3339 timestamp of when the operation was completed.

error: string

A message describing the error when the status is failed.

status: "failed"

The current status of the asynchronous operation.

Get bulk operation status

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const bulkOperation = await client.rules.lists.bulkOperations.get(
  '4da8780eeb215e6cb7f48dd981c4ea02',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(bulkOperation);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "4da8780eeb215e6cb7f48dd981c4ea02",
    "status": "pending"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "4da8780eeb215e6cb7f48dd981c4ea02",
    "status": "pending"
  },
  "success": true
}